/**
 * @file test_light.cpp
 * @brief Unit tests for Light component
 * @author Mahmoud Elmohtady
 * @company Nabd solutions - ASF
 * @copyright Copyright (c) 2025
 */

#include "unity.h"
#include "light.hpp"

extern "C" {

void setUp(void)
{
}

void tearDown(void)
{
}

void test_light_initialize(void)
{
    Light comp;
    bool result = comp.initialize();
    TEST_ASSERT_TRUE(result);
    TEST_ASSERT_TRUE(comp.isInitialized());
}

void test_light_deinitialize(void)
{
    Light comp;
    comp.initialize();
    
    bool result = comp.deinitialize();
    TEST_ASSERT_TRUE(result);
    TEST_ASSERT_FALSE(comp.isInitialized());
}

} // extern "C"
